searchData={"items":[{"type":"module","doc":"Utilities for building Apple SDKs.","title":"Apple","ref":"Apple.html"},{"type":"module","doc":"Utilities for [App Store Server API](https://developer.apple.com/documentation/appstoreserverapi).","title":"Apple.AppStoreServerAPI","ref":"Apple.AppStoreServerAPI.html"},{"type":"function","doc":"Builds a token to authorize HTTP requests.\n\nTo get the value of arguments, such as `issuer_id`, `key_id` and so on,\nplease read [Generating JSON Web Tokens for API requests](https://developer.apple.com/documentation/appstoreserverapi/generating_json_web_tokens_for_api_requests).\n\nAfter building it, use it in the `Authorization` header like this:\n\n```\nAuthorization: Bearer  \n```","title":"Apple.AppStoreServerAPI.build_auth_token!/4","ref":"Apple.AppStoreServerAPI.html#build_auth_token!/4"},{"type":"type","doc":"The app's bundle ID, like `\"com.example.demo\"`.","title":"Apple.AppStoreServerAPI.bundle_id/0","ref":"Apple.AppStoreServerAPI.html#t:bundle_id/0"},{"type":"type","doc":"The issuer ID, like `\"57246542-96fe-1a63-e053-0824d011072a\"`","title":"Apple.AppStoreServerAPI.issuer_id/0","ref":"Apple.AppStoreServerAPI.html#t:issuer_id/0"},{"type":"type","doc":"The private key ID, like `\"2X9R4HXF34\"`.","title":"Apple.AppStoreServerAPI.key_id/0","ref":"Apple.AppStoreServerAPI.html#t:key_id/0"},{"type":"type","doc":"The private key associated with the `key_id`.\n\nIt's in PEM format, like:\n\n```\n-----BEGIN PRIVATE KEY-----\nxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\n...\n-----END PRIVATE KEY-----\n```","title":"Apple.AppStoreServerAPI.private_key/0","ref":"Apple.AppStoreServerAPI.html#t:private_key/0"},{"type":"module","doc":"Utilities for handling signed payload.","title":"Apple.Signed","ref":"Apple.Signed.html"},{"type":"function","doc":"Verifies a signed payload.\n\nSigned payloads are used in the responses of:\n\n  * [App Store Server API](https://developer.apple.com/documentation/appstoreserverapi)\n  * [App Store Server Notifications](https://developer.apple.com/documentation/appstoreservernotifications)\n  * ...","title":"Apple.Signed.verify/2","ref":"Apple.Signed.html#verify/2"},{"type":"function","doc":"* https://github.com/potatosalad/erlang-jose/issues/63#issuecomment-1038751471\n  * https://andrealeopardi.com/posts/verifying-apple-jwts/","title":"References - Apple.Signed.verify/2","ref":"Apple.Signed.html#verify/2-references"},{"type":"type","doc":"The verified payload extracted from signed payload.","title":"Apple.Signed.payload/0","ref":"Apple.Signed.html#t:payload/0"},{"type":"type","doc":"The root certificate that Apple offers on [Apple PKI](https://www.apple.com/certificateauthority/).\n\nIt's fine to use _Apple Root CA - G3 Root_.","title":"Apple.Signed.root_cert/0","ref":"Apple.Signed.html#t:root_cert/0"},{"type":"type","doc":"A cryptographically signed payload, in JSON Web Signature (JWS) format.","title":"Apple.Signed.signed_payload/0","ref":"Apple.Signed.html#t:signed_payload/0"},{"type":"module","doc":"Utilities for [WeatherKit REST API](https://developer.apple.com/documentation/weatherkitrestapi).","title":"Apple.WeatherKitRestAPI","ref":"Apple.WeatherKitRestAPI.html"},{"type":"function","doc":"Builds a token to authorize HTTP requests.\n\nTo get the value of arguments, such as `team_id`, `key_id` and so on,\nplease read [Request authentication for WeatherKit REST API](https://developer.apple.com/documentation/weatherkitrestapi/request_authentication_for_weatherkit_rest_api).\n\nAfter building it, use it in the `Authorization` header like this:\n\n```\nAuthorization: Bearer  \n```","title":"Apple.WeatherKitRestAPI.build_auth_token!/4","ref":"Apple.WeatherKitRestAPI.html#build_auth_token!/4"},{"type":"type","doc":"The private key ID, like `\"2Y9R5HMY68\"`.","title":"Apple.WeatherKitRestAPI.key_id/0","ref":"Apple.WeatherKitRestAPI.html#t:key_id/0"},{"type":"type","doc":"The private key associated with the `key_id`.\n\nIt's in PEM format, like:\n\n```\n-----BEGIN PRIVATE KEY-----\nxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx\n...\n-----END PRIVATE KEY-----\n```","title":"Apple.WeatherKitRestAPI.private_key/0","ref":"Apple.WeatherKitRestAPI.html#t:private_key/0"},{"type":"type","doc":"The registered service ID, like `\"com.example.weatherkit-client\"`.","title":"Apple.WeatherKitRestAPI.service_id/0","ref":"Apple.WeatherKitRestAPI.html#t:service_id/0"},{"type":"type","doc":"The team ID, like `\"6MPDV0UYYX\"`.","title":"Apple.WeatherKitRestAPI.team_id/0","ref":"Apple.WeatherKitRestAPI.html#t:team_id/0"},{"type":"extras","doc":"# Apple\n\nUtilities for building Apple SDKs.","title":"Apple","ref":"readme.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}